---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1EditBoxRenderer.html">EditBoxRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::EditBoxRenderer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#af6007ed0ba993367d53a64011fbc4ffe">EditBoxRenderer</a>(EditBox *editBox)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">getPadding</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a07f3f9be8f6191346c6989205acb7ba1">getProperty</a>(std::string property) const  override</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a9fc1d3e2ec79d8047f8bc90b41aa5f13">getPropertyValuePairs</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a7cd88c85ed9180e630e0107df8aa9b84">setBackgroundColor</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#ab30339d3a43b3c5ede2b216327004bab">setBackgroundColorHover</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a8cdd79c70c52687ded46658b7691c94a">setBackgroundColorNormal</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#af4bd8a7111673fedffa525a2c7828bf4">setBorderColor</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a>(const Borders &amp;borders)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a>(float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a>(float width, float height)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a9fd90ff881cba58c6308ce4038f6fde3">setCaretColor</a>(const Color &amp;caretColor)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#aa6021b18d1c9bc7f4ba92e10951b81e1">setCaretWidth</a>(float width)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#ab646ee5b69c102a60fb0e8b2c208b30b">setDefaultTextColor</a>(const Color &amp;defaultTextColor)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a26a77567a6dcb653d6ebe38755d37a17">setDefaultTextStyle</a>(sf::Uint32 style)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a3ace32f5540b9ff0a0d1bb54e3686d6c">setFocusTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a2b4f1f9185594f2f208ead79d81ad246">setHoverTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#abd37a5c96ad139ce57cc1aff998a7564">setNormalTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a6260b940863f3df0d9b3915733318d2e">setPadding</a>(const Padding &amp;padding) override</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">tgui::WidgetPadding::setPadding</a>(float leftPadding, float topPadding, float rightPadding, float bottomPadding)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">tgui::WidgetPadding::setPadding</a>(float width, float height)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a32c34de3dec5771799bbebb85d0e00de">setProperty</a>(std::string property, const std::string &amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a8c72cc27a3fee485d73fe3681ffff7bc">setProperty</a>(std::string property, ObjectConverter &amp;&amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#aee032f9de96d16a36500f24200f99caa">setSelectedTextBackgroundColor</a>(const Color &amp;selectedTextBackgroundColor)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a410db6332f1a55762fc5f7e4c987c1f7">setSelectedTextColor</a>(const Color &amp;selectedTextColor)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a15a1b899ed96380933f0d3c866950ac9">setTextColor</a>(const Color &amp;textColor)</td><td class="entry"><a class="el" href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a>()</td><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
